#include <stddef.h>
#include <stdio.h>

#include <H5PLextern.h>

static size_t noop_filter(unsigned flags, size_t cd_nelmts,
                          const unsigned cd_values[], size_t nbytes,
                          size_t *buf_size, void **buf)
{
    /* Let's print the parameters we got. */
    for (int i = 0; i < cd_nelmts; ++i) {
        fprintf(stderr, "%u ", cd_values[i]);
    }
    fprintf(stderr, "\n");

    /* Always succeed, output is input. */
    return nbytes;
}

const H5Z_class_t noop_plugin_info[1] = {{
    H5Z_CLASS_T_VERS,
    (H5Z_filter_t) 42,
    1, 1,
    "noop",
    NULL,
    NULL,
    (H5Z_func_t) noop_filter
}};

H5PL_type_t H5PLget_plugin_type(void)
{
    return H5PL_TYPE_FILTER;
}

const void* H5PLget_plugin_info(void) {
    return noop_plugin_info;
}

